Licenses
Read, extend and revoke licenses; inspect and revoke device seats. Guide: Licenses & Devices.
get
/licensesget/licenses/summaryget/licenses/{id}post/licenses/{id}/revokepost/licenses/{id}/extendget/licenses/{id}/devicespost/licenses/{id}/devices/{seatId}/revokeget
/licensesList licenses
Scope licenses:read
Parameters
user_idquery · stringstatusquery · stringtypequery · stringexpires_beforequery · stringpagequery · integerlimitquery · integer
curl -X GET "https://serverless.grout.app/v1/licenses" \
-H "Authorization: Bearer $GROUT_API_KEY"curl -X GET "https://serverless.grout.app/v1/licenses/summary" \
-H "Authorization: Bearer $GROUT_API_KEY"curl -X GET "https://serverless.grout.app/v1/licenses/$ID" \
-H "Authorization: Bearer $GROUT_API_KEY"post
/licenses/{id}/revokeRevoke a license
Scope licenses:write
Parameters
idpath · stringrequired
Body
reasonstring
curl -X POST "https://serverless.grout.app/v1/licenses/$ID/revoke" \
-H "Authorization: Bearer $GROUT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"reason":"<reason>"}'post
/licenses/{id}/extendExtend a license
Scope licenses:write
Parameters
idpath · stringrequired
Body
expires_atdate-timedaysinteger
curl -X POST "https://serverless.grout.app/v1/licenses/$ID/extend" \
-H "Authorization: Bearer $GROUT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"expires_at":"<expires_at>","days":0}'get
/licenses/{id}/devicesDevice seats and activations
Scope licenses:read
Parameters
idpath · stringrequired
curl -X GET "https://serverless.grout.app/v1/licenses/$ID/devices" \
-H "Authorization: Bearer $GROUT_API_KEY"post
/licenses/{id}/devices/{seatId}/revokeRevoke a device seat
Scope licenses:write
Parameters
idpath · stringrequiredseatIdpath · stringrequired
curl -X POST "https://serverless.grout.app/v1/licenses/$ID/devices/$SEATID/revoke" \
-H "Authorization: Bearer $GROUT_API_KEY"